Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.viewerpreferences
Class PDViewerPreferences

    java.lang.Object
      org.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences

All Implemented Interfaces:
  COSObjectable

public class PDViewerPreferences
extends Object
implements COSObjectable

This is the document viewing preferences.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `BOUNDARY_ART_BOX` Boundary constant.
`static String` | `BOUNDARY_BLEED_BOX` Boundary constant.
`static String` | `BOUNDARY_CROP_BOX` Boundary constant.
`static String` | `BOUNDARY_MEDIA_BOX` Boundary constant.
`static String` | `BOUNDARY_TRIM_BOX` Boundary constant.
`static String` | `NON_FULL_SCREEN_PAGE_MODE_USE_NONE` From PDF Reference: "Neither document outline nor thumbnail images visible".
`static String` | `NON_FULL_SCREEN_PAGE_MODE_USE_OPTIONAL_CONTENT` From PDF Reference: "Optional content group panel visible".
`static String` | `NON_FULL_SCREEN_PAGE_MODE_USE_OUTLINES` From PDF Reference: "Document outline visible".
`static String` | `NON_FULL_SCREEN_PAGE_MODE_USE_THUMBS` From PDF Reference: "Thumbnail images visible".
`static String` | `READING_DIRECTION_L2R` Reading direction.
`static String` | `READING_DIRECTION_R2L` Reading direction.

Constructor Summary
`PDViewerPreferences(COSDictionary dic)` Constructor that is used for a preexisting dictionary.

Method Summary
`boolean` | `centerWindow()` Get the center window preference.
`boolean` | `displayDocTitle()` Get the display doc title preference.
`boolean` | `fitWindow()` Get the fit window preference.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`COSDictionary` | `getDictionary()` This will get the underlying dictionary that this object wraps.
`String` | `getNonFullScreenPageMode()` Get the non full screen page mode preference.
`String` | `getPrintArea()` Get the PrintArea preference.
`String` | `getPrintClip()` Get the PrintClip preference.
`String` | `getReadingDirection()` Get the reading direction preference.
`String` | `getViewArea()` Get the ViewArea preference.
`String` | `getViewClip()` Get the ViewClip preference.
`boolean` | `hideMenubar()` Get the menubar preference.
`boolean` | `hideToolbar()` Get the toolbar preference.
`boolean` | `hideWindowUI()` Get the window UI preference.
`void` | `setCenterWindow(boolean value)` Set the center window preference.
`void` | `setDisplayDocTitle(boolean value)` Set the display doc title preference.
`void` | `setFitWindow(boolean value)` Set the fit window preference.
`void` | `setHideMenubar(boolean value)` Set the menubar preference.
`void` | `setHideToolbar(boolean value)` Set the toolbar preference.
`void` | `setHideWindowUI(boolean value)` Set the window UI preference.
`void` | `setNonFullScreenPageMode(String value)` Set the non full screen page mode preference.
`void` | `setPrintArea(String value)` Set the PrintArea preference.
`void` | `setPrintClip(String value)` Set the PrintClip preference.
`void` | `setReadingDirection(String value)` Set the reading direction preference.
`void` | `setViewArea(String value)` Set the ViewArea preference.
`void` | `setViewClip(String value)` Set the ViewClip preference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON_FULL_SCREEN_PAGE_MODE_USE_NONE

    public static final String NON_FULL_SCREEN_PAGE_MODE_USE_NONE

  From PDF Reference: "Neither document outline nor thumbnail images visible".

  See Also:
    Constant Field Values

### NON_FULL_SCREEN_PAGE_MODE_USE_OUTLINES

    public static final String NON_FULL_SCREEN_PAGE_MODE_USE_OUTLINES

  From PDF Reference: "Document outline visible".

  See Also:
    Constant Field Values

### NON_FULL_SCREEN_PAGE_MODE_USE_THUMBS

    public static final String NON_FULL_SCREEN_PAGE_MODE_USE_THUMBS

  From PDF Reference: "Thumbnail images visible".

  See Also:
    Constant Field Values

### NON_FULL_SCREEN_PAGE_MODE_USE_OPTIONAL_CONTENT

    public static final String NON_FULL_SCREEN_PAGE_MODE_USE_OPTIONAL_CONTENT

  From PDF Reference: "Optional content group panel visible".

  See Also:
    Constant Field Values

### READING_DIRECTION_L2R

    public static final String READING_DIRECTION_L2R

  Reading direction.

  See Also:
    Constant Field Values

### READING_DIRECTION_R2L

    public static final String READING_DIRECTION_R2L

  Reading direction.

  See Also:
    Constant Field Values

### BOUNDARY_MEDIA_BOX

    public static final String BOUNDARY_MEDIA_BOX

  Boundary constant.

  See Also:
    Constant Field Values

### BOUNDARY_CROP_BOX

    public static final String BOUNDARY_CROP_BOX

  Boundary constant.

  See Also:
    Constant Field Values

### BOUNDARY_BLEED_BOX

    public static final String BOUNDARY_BLEED_BOX

  Boundary constant.

  See Also:
    Constant Field Values

### BOUNDARY_TRIM_BOX

    public static final String BOUNDARY_TRIM_BOX

  Boundary constant.

  See Also:
    Constant Field Values

### BOUNDARY_ART_BOX

    public static final String BOUNDARY_ART_BOX

  Boundary constant.

  See Also:
    Constant Field Values

Constructor Detail

### PDViewerPreferences

    public PDViewerPreferences(COSDictionary dic)

  Constructor that is used for a preexisting dictionary.

Parameters:
  `dic` - The underlying dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  This will get the underlying dictionary that this object wraps.

  Returns:
    The underlying info dictionary.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### hideToolbar

    public boolean hideToolbar()

  Get the toolbar preference.

  Returns:
    the toolbar preference.

### setHideToolbar

    public void setHideToolbar(boolean value)

  Set the toolbar preference.

  Parameters:
    `value` - Set the toolbar preference.

### hideMenubar

    public boolean hideMenubar()

  Get the menubar preference.

  Returns:
    the menubar preference.

### setHideMenubar

    public void setHideMenubar(boolean value)

  Set the menubar preference.

  Parameters:
    `value` - Set the menubar preference.

### hideWindowUI

    public boolean hideWindowUI()

  Get the window UI preference.

  Returns:
    the window UI preference.

### setHideWindowUI

    public void setHideWindowUI(boolean value)

  Set the window UI preference.

  Parameters:
    `value` - Set the window UI preference.

### fitWindow

    public boolean fitWindow()

  Get the fit window preference.

  Returns:
    the fit window preference.

### setFitWindow

    public void setFitWindow(boolean value)

  Set the fit window preference.

  Parameters:
    `value` - Set the fit window preference.

### centerWindow

    public boolean centerWindow()

  Get the center window preference.

  Returns:
    the center window preference.

### setCenterWindow

    public void setCenterWindow(boolean value)

  Set the center window preference.

  Parameters:
    `value` - Set the center window preference.

### displayDocTitle

    public boolean displayDocTitle()

  Get the display doc title preference.

  Returns:
    the display doc title preference.

### setDisplayDocTitle

    public void setDisplayDocTitle(boolean value)

  Set the display doc title preference.

  Parameters:
    `value` - Set the display doc title preference.

### getNonFullScreenPageMode

    public String getNonFullScreenPageMode()

  Get the non full screen page mode preference.

  Returns:
    the non full screen page mode preference.

### setNonFullScreenPageMode

    public void setNonFullScreenPageMode(String value)

  Set the non full screen page mode preference.

  Parameters:
    `value` - Set the non full screen page mode preference.

### getReadingDirection

    public String getReadingDirection()

  Get the reading direction preference.

  Returns:
    the reading direction preference.

### setReadingDirection

    public void setReadingDirection(String value)

  Set the reading direction preference.

  Parameters:
    `value` - Set the reading direction preference.

### getViewArea

    public String getViewArea()

  Get the ViewArea preference. See BOUNDARY_XXX constants.

  Returns:
    the ViewArea preference.

### setViewArea

    public void setViewArea(String value)

  Set the ViewArea preference. See BOUNDARY_XXX constants.

  Parameters:
    `value` - Set the ViewArea preference.

### getViewClip

    public String getViewClip()

  Get the ViewClip preference. See BOUNDARY_XXX constants.

  Returns:
    the ViewClip preference.

### setViewClip

    public void setViewClip(String value)

  Set the ViewClip preference. See BOUNDARY_XXX constants.

  Parameters:
    `value` - Set the ViewClip preference.

### getPrintArea

    public String getPrintArea()

  Get the PrintArea preference. See BOUNDARY_XXX constants.

  Returns:
    the PrintArea preference.

### setPrintArea

    public void setPrintArea(String value)

  Set the PrintArea preference. See BOUNDARY_XXX constants.

  Parameters:
    `value` - Set the PrintArea preference.

### getPrintClip

    public String getPrintClip()

  Get the PrintClip preference. See BOUNDARY_XXX constants.

  Returns:
    the PrintClip preference.

### setPrintClip

    public void setPrintClip(String value)

  Set the PrintClip preference. See BOUNDARY_XXX constants.

  Parameters:
    `value` - Set the PrintClip preference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD